DELETE https://api.cryptohopper.com/v1/hopper/{id}/order/{order_id}/tsb

Removes a trailing buy order, so no buy order is placed for it, and recalculates the hopper's reserved balances.

OAuth scope: read manage About scopes

Not available for arbitrage, market maker, copy trading and grid bots. Returns an error when the trailing buy has already placed its buy order.

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order/ORDER_ID/tsb" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Optional The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
order_id string Required ID of the trailing buy order (the id field of an order with order_type "Trailing buy" in Get open orders).
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Deleted TSB order 19860001"
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.